<?php
// $Id: 60_CGI.php,v 1.4 2005/10/07 06:41:44 dodell Exp $
// Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
//
// ui extension to set settings for cgi Vsite creation

include_once("UIExtension.php");

class CGIExtension extends UIExtension
{
	function display(&$helper, &$container, &$prams)
    {
        $factory = $helper->getHtmlComponentFactory("base-apache");
        $cce = $helper->getCceClient();
    
        $defaults = $cce->get($prams["CCE_SERVICES_OID"], 'CGI');
        
        // only add page if not already there
        if ($prams['CAN_ADD_PAGE'])
        {
            $pageId = 'webScripting';
            if (!in_array('webScripting', $container->getPageIds()))
            {
                $container->addPage("webScripting", 
                    $factory->getLabel("webScripting"));
            }
        }
        else
        {
            $pageId = $prams['PAGED_BLOCK_DEFAULT_PAGE'];
        }
        
	    $container->addFormField(
			$factory->getBoolean('CGI_enabled', $defaults['enabled']),
		    $factory->getLabel('cgi'),
			$pageId
		    );
    }

	function handle(&$helper, &$errors, &$prams)
    {
        global $CGI_enabled;

        $cce = $helper->getCceClient();

        $cce->set($prams["CCE_OID"], 'CGI', 
                array('enabled' => $CGI_enabled));

        $errors = array_merge($errors, $cce->errors());
    }
}


