<?php
// $Id: 30_PHP.php,v 1.5 2005/10/07 06:41:45 dodell Exp $
// Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
//

include_once('UIExtension.php');

class PHPExtension extends UIExtension
{
	function display(&$helper, &$container, &$prams)
	{
		$cce = $helper->getCceClient();

		// will assume the container is a PagedBlock for the time being
		$page_id = $prams['PAGED_BLOCK_DEFAULT_PAGE'];
		$factory = $helper->getHtmlComponentFactory("base-apache");

		$featurePHP = $cce->get($prams['CCE_OID'], 'PHP');

		if ($prams['IS_SITE_ADMIN']) {
			if ( $featurePHP['enabled'] )
				$container->addFormField(
					$factory->getBoolean('php', $featurePHP['enabled'], 'r'),
					$factory->getLabel('php'), $page_id
					);
		} else {
				$container->addFormField(
					$factory->getBoolean('php', $featurePHP['enabled'], 'rw'),
					$factory->getLabel('php'), $page_id
					);
		}
	}

	function handle(&$helper, &$errors, &$prams)
	{
    global $php;
		$cce = $helper->getCceClient();

    $cce->set($prams['CCE_OID'], 'PHP', array('enabled' => $php));
    $errors = array_merge($errors, $cce->errors());
	}
}
?>
