#!/bin/sh

# PROVIDE: cced
# REQUIRE: DAEMON
# KEYWORD: FreeBSD shutdown

cced_enable="NO"

. /etc/rc.subr

name=cced
rcvar=`set_rcvar`
command="(prefix)/raqdevil/sbin/${name}"
pidfile="/var/run/${name}.pid"

start_cmd=start_raqdevil

start_raqdevil() {
	/sbin/ldconfig -m (prefix)/raqdevil/lib

	LC_ALL=en_US LC_LANG=en_US ${command}
}

load_rc_config $name
run_rc_command $*
