#!/bin/sh

# PROVIDE: admserv
# REQUIRE: DAEMON cced
# KEYWORD: FreeBSD shutdown

admserv_enable="NO"
admserv_flags="-f (prefix)/admserv/conf/admserv.conf"

. /etc/rc.subr

name=admserv
rcvar=`set_rcvar`
command="(prefix)/sbin/httpd"
pidfile="(prefix)/admserv/run/admserv.pid"

start_cmd=start_admserv

start_admserv() {
        /sbin/ldconfig -m (prefix)/raqdevil/lib

        LC_ALL=en_US LC_LANG=en_US ${command} ${admserv_flags}
}

load_rc_config $name

run_rc_command $*
