#!/usr/bin/perl -I(prefix)/raqdevil/perl -I.

use lib qw((prefix)/raqdevil/perl (prefix)/raqdevil/handlers/base/network);

use FileHandle;
use Data::Dumper;
use Sauce::Config;
use Sauce::Util;
use CCE;
use Getopt::Long;
use Network qw(find_eth_ifaces);

my $cce = new CCE(Domain => 'base-network');

$cce->connectfd();

my ($system_oid) = $cce->find('System');
my ($ok, $system) = $cce->get($system_oid);
if ($system->{gateway})
{
	system($Network::ROUTE, 'delete', 'default');
	system($Network::ROUTE, 'add', 'default', $system->{gateway}); 
}

$cce->bye('SUCCESS');
exit(0);

