Summary: Cobalt i18n library
Name: sausalito-i18n
Version: 0.70.2
Release: 86BQ2
Copyright: Cobalt
Group: Sausalito/Libraries
Source: sausalito-i18n.tar.gz
Prefix: (prefix)/raqdevil
BuildRoot: /var/tmp/sausalito-i18n-root
Requires: glib >= 1.2.7

%description
sausalito-i18n is a wrapper library for i18n functions.

%package devel
Summary: The Sausalito i18n development libraries.
Group: Sausalito/Development/Libraries

%description devel
sausalito-i18n-devel includes the include files and static libraries for the 
Sausalito i18n functions.

%prep
%setup -n sausalito-i18n

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT CCETOPDIR=(prefix)/raqdevil
rm $RPM_BUILD_ROOT(prefix)/raqdevil/ui/web/test_i18n.php

%files
%defattr(-,root,root)
(prefix)/raqdevil/lib/*.so*
(prefix)/raqdevil/bin/i18n_get
(prefix)/raqdevil/bin/i18n_translate
(prefix)/raqdevil/bin/i18n_locales
(prefix)/raqdevil/ui/libPhp/*
/usr/lib/php4/*
(prefix)/raqdevil/perl/I18n.pm
(prefix)/raqdevil/perl/SendEmail.pm
(prefix)/raqdevil/perl/I18nMail.pm
(prefix)/raqdevil/perl/JConv.pl
(prefix)/raqdevil/bin/i18nmail.pl
/etc/php.d/i18n.ini

%files devel
%defattr(-,root,root)
(prefix)/raqdevil/lib/*.a
(prefix)/raqdevil/include/cce/*.h

%post
# only run on install, not upgrade
if [ "$1" = 1 ]; then
	LIB=(prefix)/raqdevil/lib
	cp /etc/ld.so.conf /etc/ld.so.conf.bak
	egrep "^$LIB[ 	]*$" /etc/ld.so.conf >/dev/null \
		|| echo $LIB >> /etc/ld.so.conf
fi
/sbin/ldconfig

# make sure these links exist or setlocale doesn't work right
# temporary fix for now.  try both just to make sure this happens
if [ -d "/usr/lib/locale/en_US" ]; then
	ln -sf /usr/lib/locale/en_US /usr/lib/locale/en
fi
if [ -d "(prefix)/share/locale/en_US" ]; then
	ln -sf (prefix)/share/locale/en_US (prefix)/share/locale/en
fi
if [ -d "/usr/lib/locale/ja_JP.eucjp" ]; then
	ln -sf /usr/lib/locale/ja_JP.eucjp /usr/lib/locale/ja
fi
if [ -d "(prefix)/share/locale/ja_JP.eucjp" ]; then
	ln -sf (prefix)/share/locale/ja_JP.eucjp (prefix)/share/locale/ja
fi

%changelog
* Tue Jan 08 2004 Hisao SHIBUYA <shibuya@alpha.or.jp> 0.70.2-86BQ1
- build for Blue Quartz

* Thu Mar 14 2002 Patrick Baltz <patrick.baltz@sun.com>
- pr 14167.  perl I18n::interpolate doesn't work without the appropriate
  symlinks, because of setlocale

* Tue Jun 27 2000 Tim Hockin <thockin@cobalt.com>
- Rev bump, try to figure out why ldconfig is not run on new builds

* Fri Jun 16 2000 Tim Hockin <thockin@cobalt.com>
- make sure (prefix)/raqdevil/lib is in ld.so.conf

* Mon May 29 2000 Patrick Bose <pbose@cobalt.com>
- 0.11-1 adding perl client library

* Wed Apr 26 2000 Adrian Sun <asun@cobalt.com>
- renamed 

* Tue Mar 15 2000 Adrian Sun <asun@cobalt.com>
- re-worked source tree

* Tue Feb 29 2000 Adrian Sun <asun@cobalt.com>
- added I18n.php install

* Fri Feb 25 2000 Adrian Sun <asun@cobalt.com>
- initial version
