#include "apr_strings.h"
#include "ap_config.h"
#include "util_filter.h"
#include "httpd.h"
#include "http_config.h"
#include "http_request.h"
#include "http_core.h"
#include "http_protocol.h"
#include "http_log.h"
#include "http_main.h"
#include "util_script.h"
#include "http_core.h"
#include "ap_mpm.h"

#define RAQDEVIL_VERSION "1.0"

static int
raqdevil_server_startup(apr_pool_t *pconf, apr_pool_t *plog, apr_pool_t *ptemp, server_rec *s)
{

	ap_add_version_component(pconf, "RAQdevil/" RAQDEVIL_VERSION);
	return (OK);
}

static void raqdevil_register_hook(apr_pool_t *p)
{

	ap_hook_post_config(raqdevil_server_startup, NULL, NULL, APR_HOOK_MIDDLE);
}

AP_MODULE_DECLARE_DATA module raqdevil_module = {
	STANDARD20_MODULE_STUFF,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	raqdevil_register_hook
};
