<?php
// $Id: Shell.php,v 1.5 2005/10/07 06:41:43 dodell Exp $
// Copyright 2001 Sun Microsystems, Inc.  All Rights Reserved.

include_once('UIExtension.php');

class ShellExtension extends UIExtension
{
	function display(&$helper, &$container, &$prams)
	{
		$factory = $helper->getHtmlComponentFactory("base-shell");
		$cce = $helper->getCceClient();

		// if configuring for virtual sites, don't show if the feature
		// is not enabled 
		if ( isset($prams["VSITE_OID"]) ) {
			$feature = $cce->get($prams["VSITE_OID"], "Shell");
			if ( !$feature["enabled"] )
				return;	
		}
		
		$defaults = $cce->get($prams["CCE_SERVICES_OID"], "Shell");
	
		$shellEnable = $factory->getBoolean("Shell_enabled", $defaults["enabled"]);
		
		// assume PagedBlock because that is most likely going to be it
		$pageIds = $container->getPageIds();
		$container->addFormField(
                $shellEnable, 
                $factory->getLabel("userEnableShell"), $pageIds[0]);
	}

	function handle(&$helper, &$errors, &$prams)
	{
		global $Shell_enabled;
		if ( !isset($Shell_enabled) )
			return;

		$cce = $helper->getCceClient();
		
		$cce->set($prams["CCE_OID"], "Shell", array("enabled" => $Shell_enabled));
		$errors = array_merge($errors, $cce->errors());
	}
}
?>
