<?php
// $Id: 70_SSI.php,v 1.4 2005/10/07 06:41:44 dodell Exp $
// Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
//
// ui extension to set settings for ssi Vsite creation

include_once("UIExtension.php");

class SSIExtension extends UIExtension
{
	function display(&$helper, &$container, &$prams)
    {
        $factory = $helper->getHtmlComponentFactory("base-apache");
        $cce = $helper->getCceClient();
    
        $defaults = $cce->get($prams["CCE_SERVICES_OID"], 'SSI');
        
        if ($prams['CAN_ADD_PAGE'])
        {
            $pageId = 'webScripting';
            // only add page if not already there
            if (!in_array('webScripting', $container->getPageIds()))
            {
                $container->addPage("webScripting", 
                    $factory->getLabel("webScripting"));
            }
        }
        else
        {
            $pageId = $prams['PAGED_BLOCK_DEFAULT_PAGE'];
        }
        
	    $container->addFormField(
			$factory->getBoolean('SSI_enabled', $defaults['enabled']),
		    $factory->getLabel('ssi'),
		    $pageId
            );
    }

	function handle(&$helper, &$errors, &$prams)
    {
        global $SSI_enabled;

        $cce = $helper->getCceClient();

        $cce->set($prams["CCE_OID"], 'SSI', 
                array('enabled' => $SSI_enabled));

        $errors = array_merge($errors, $cce->errors());
    }
}


