<?php
// $Id: 90_Shell.php,v 1.4 2005/10/07 06:41:44 dodell Exp $
// Copyright 2001 Sun Microsystems, Inc.  All Rights Reserved.
// Shell.php.create.Vsite

include_once('UIExtension.php');

class ShellExtension extends UIExtension
{
	function display(&$helper, &$container, &$prams)
    {
        $factory = $helper->getHtmlComponentFactory('base-shell');
        $cce = $helper->getCceClient();
        
        $defaults = $cce->get($prams['CCE_SERVICES_OID'], 'Shell');
    
        $shellEnable = $factory->getBoolean('Shell_enabled', 
                            $defaults['enabled']);
        
        // assume PagedBlock because that is most likely going to be it
        $page_id = $prams['PAGED_BLOCK_DEFAULT_PAGE'];
        $container->addFormField($shellEnable, 
                $factory->getLabel("enableShell"), $page_id);
    }

	function handle(&$helper, &$errors, &$prams)
    {
        global $Shell_enabled;

        $cce = $helper->getCceClient();
        
        $cce->set($prams["CCE_OID"], "Shell", array("enabled" => $Shell_enabled));
        $errors = array_merge($errors, $cce->errors());
    }
}
?>
