<?php
// $Id: 30_PHP.php,v 1.4 2005/10/07 06:41:44 dodell Exp $
// Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
//
// ui extension to set default settings for php

include_once("UIExtension.php");

class PHPExtension extends UIExtension
{
	function display(&$helper, &$container, &$prams)
    {
        $factory = $helper->getHtmlComponentFactory("base-apache");
        $cce = $helper->getCceClient();
    
        $defaults = $cce->get($prams["CCE_SERVICES_OID"], 'PHP');
       
        if (!in_array('webScripting', $container->getPageIds()))
        {
            $container->addPage(
                "webScripting", 
                $factory->getLabel("webScripting"));
        }

	    $container->addFormField(
			$factory->getBoolean('PHP_enabled', $defaults['enabled']),
			$factory->getLabel('php'),
			"webScripting"
			);
    }

	function handle(&$helper, &$errors, &$prams)
    {
        global $PHP_enabled;

        $cce = $helper->getCceClient();

        $cce->set($prams["CCE_SERVICES_OID"], 'PHP',
                    array('enabled' => $PHP_enabled));

        $errors = array_merge($errors, $cce->errors());
    }
}


