<?php
// $Id: Shell.php,v 1.5 2005/10/07 06:41:45 dodell Exp $
// Copyright 2001 Sun Microsystems, Inc.  All Rights Reserved.
// This extension displays on icon on the user list if shell is enabled
// for the user.

include_once('UIExtension.php');

class ShellExtension extends UIExtension
{
	function display(&$helper, &$container, &$prams)
	{
		$factory = $helper->getHtmlComponentFactory("base-shell");
		$cce = $helper->getCceClient();

		// if configuring for virtual sites, don't show if the feature
		// is not enabled 
		if ( isset($prams["VSITE_OID"]) ) {
			$feature = $cce->get($prams["VSITE_OID"], "Shell");
			if ( !$feature["enabled"] )
				return;	
		}	
		$user = $cce->get($prams["CCE_OID"], "Shell");
	
		// the container is an array
		$container[] = ($user["enabled"]) ? $factory->getImageLabel("shellIsEnabled", "/libImage/telnet_icon_small.gif") : $factory->getImageLabel("blank", "/libImage/blankIcon.gif", false);
	}

	// user list is a display only extension
	function handle(&$helper, &$errors, &$prams)
	{
	}
}
?>
