<?php
// $Id: 40_CGI.php,v 1.5 2005/10/07 06:41:45 dodell Exp $
// Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
//

include_once('UIExtension.php');

class CGIExtension extends UIExtension
{
	function display(&$helper, &$container, &$prams)
	{
		$cce = $helper->getCceClient();

		// will assume the container is a PagedBlock for the time being
		$page_id = $prams['PAGED_BLOCK_DEFAULT_PAGE'];
		$factory = $helper->getHtmlComponentFactory("base-apache");

		$featureCGI = $cce->get($prams['CCE_OID'], 'CGI');

		if ($prams['IS_SITE_ADMIN']) {
			if ( $featureCGI['enabled'] )
				$container->addFormField(
					$factory->getBoolean('cgi', $featureCGI['enabled'], 'r'),
					$factory->getLabel('cgi'), $page_id
					);
		} else {
				$container->addFormField(
					$factory->getBoolean('cgi', $featureCGI['enabled'], 'rw'),
					$factory->getLabel('cgi'), $page_id
					);
		}
	}

	function handle(&$helper, &$errors, &$prams)
	{
    global $cgi;
		$cce = $helper->getCceClient();

    $cce->set($prams['CCE_OID'], 'CGI', array('enabled' => $cgi));
    $errors = array_merge($errors, $cce->errors());
	}
}
?>
