<?php
// $Id: 50_SSI.php,v 1.5 2005/10/07 06:41:45 dodell Exp $
// Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
//

include_once('UIExtension.php');

class SSIExtension extends UIExtension
{
	function display(&$helper, &$container, &$prams)
	{
		$cce = $helper->getCceClient();

		// will assume the container is a PagedBlock for the time being
		$page_id = $prams['PAGED_BLOCK_DEFAULT_PAGE'];
		$factory = $helper->getHtmlComponentFactory("base-apache");

		$featureSSI = $cce->get($prams['CCE_OID'], 'SSI');

		if ($prams['IS_SITE_ADMIN']) {
			if ( $featureSSI['enabled'] )
				$container->addFormField(
					$factory->getBoolean('ssi', $featureSSI['enabled'], 'r'),
					$factory->getLabel('ssi'), $page_id
					);
		} else {
				$container->addFormField(
					$factory->getBoolean('ssi', $featureSSI['enabled'], 'rw'),
					$factory->getLabel('ssi'), $page_id
					);
		}
	}

	function handle(&$helper, &$errors, &$prams)
	{
    global $ssi;
		$cce = $helper->getCceClient();

    $cce->set($prams['CCE_OID'], 'SSI', array('enabled' => $ssi));
    $errors = array_merge($errors, $cce->errors());
	}
}
?>
